Bug 169913 - No sound from snd-intel8x0 on kernel-smp-2.6.13-1.1526_FC4
No sound from snd-intel8x0 on kernel-smp-2.6.13-1.1526_FC4
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 21:48 EDT by Joe Christy
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-15 13:10:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Christy 2005-10-04 21:48:45 EDT
Description of problem:
Since upgrading to kernel-smp-2.6.13-1.1526_FC4, I have not had any sound on my
Intel D865PERL motherboard's built-in (ICH5) sound, based on an Analog Devices
AD1985 chip. kscd produces no sound, though alsamixer shows all levels at max &
nothing muted. system-config-soundcard detects:
Vendor & Model: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
Module: snd-intel8x0
alsamixer detects:
Card: Intel ICH5                                                               
                                                                        
Chip: Analog Devices AD1985                                                    
                                                                        


Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1526_FC4


How reproducible:
always

Steps to Reproduce:
1. Play a sound
2. Listen carefully
3.
  
Actual results:
Silence

Expected results:
Sound

Additional info:
While [not] playing test sound, system-config-soundcard's stderr shows:
amixer: Unable to find simple control 'PCM-2',0

amixer: Unable to find simple control 'DRC Range',0

Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo

Nothing shows up in my logs.
Comment 1 Joe Christy 2005-10-15 12:24:07 EDT
Same problem and symptoms with non-smp 2.6.13-1.1526_FC4
Comment 2 Joe Christy 2005-10-15 12:30:20 EDT
Likewise with Dave Jones' 2.6.13-1.1529_FC4.

With the 1526 kernels, I had the nvidia-glx driver loaded, but for the 1529
kernels, I used the kernel driver.
Comment 3 Joe Christy 2005-10-15 13:10:47 EDT
Doh!

I remembered that on my laptop (which uses different sound chip, modules, etc.),
that sound doesn't work unless the headphone jack sense is turned off. Sure
enough, it was on on this machine and turning it off restored the sound.

It is odd that it used to work, pre 2.6.13, and I didn't touch any of the alsa
controls when I upgraded.

Note You need to log in before you can comment on or make changes to this bug.